
Summary: KDE Image Database
Name:	 kimdaba
Version: 2.1
Release: 6%{?dist}

License: GPL
Group:   Applications/Multimedia 
URL:	 http://ktown.kde.org/kimdaba/
Source:	 http://ktown.kde.org/kimdaba/download/kimdaba-2.1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libkipi-devel 
BuildRequires: libkexif-devel
BuildRequires: qt-devel >= 1:3.3
BuildRequires: kdelibs-devel >= 6:3.3

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

# Optional
# Requires: kipi-plugins


%description
An image database tool.  KimDaBa focuses on three key points:
  * It must be easy to describe a number of images at a time. 
  * It must be easy to search for images. 
  * It must be easy to browse and View the images.

Can (optionally) use kipi-plugins


%prep
%setup -q -n %{name}-%{version}%{?beta}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "X-Fedora" \
  --add-category "Viewer" \
  --add-category "Application" \
  $RPM_BUILD_ROOT%{_datadir}/appl*/*/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/apps/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop


%changelog
* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-6
- relative symlinks
- simplify configure

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-4
- --add-category Application

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-3
- %%doc: COPYING
- Req(post,postun): update-desktop-database
- gtk-update-icon-cache
- remove unused crud (kde-redhat bits)
- Group: Applications/Multimedia
- drop %%{?debug_package} conditionals

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-2
- icon/mime spec

* Tue May 3 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-1
- real-deal 2.1 release (including -i18n bits)

* Mon May 2 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-0
- 2.1 (pre) release

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.fdr.1
- 2.0

* Fri Feb 27 2004 Rex Dieter <rexdieter at sf.net> 0:1.1-0.fdr.0
- first try

